User forums > Help

How do I install Code:Blocks,Wxwidgets and wxSmith on Linux Mint?

(1/1)

djsb:
Is it possible to install Code:Blocks,Wxwidgets and wxSmith on Linux Mint? If so, how?

Pecan:

--- Quote from: djsb on April 02, 2024, 12:19:20 pm ---Is it possible to install Code:Blocks,Wxwidgets and wxSmith on Linux Mint? If so, how?

--- End quote ---

https://wiki.codeblocks.org/index.php/Main_Page

audiobabble:
[ OP -  I think I'm right in saying that to all intents and purposes, Mint is a derivative of Ubuntu, so install instructions for Ubuntu are what you should follow]

I'm also new here and new to Codeblocks. Had no trouble installing on Windows 10.

I installed on Ubuntu 20.04 using apt, that seemed to work but had trouble compiling due to missing libs (unsurprisingly).

I've since installed Mint and this time decided to look at the official install instructions... and it's at this point that things get a little confusing.

I ended up here first: https://wiki.codeblocks.org/index.php/Installing_Code::Blocks_nightly_build_on_Ubuntu

Didn't really want to install nightly build but thought I'd give it a go...

There seems to be a problem with 'libwxgtk3.0-4' and 'libwxgtk3.0-dev' -- neither repository can be found.

So... gave up on that. Have now dowloaded the tar for codeblocks 20.03 from here: https://www.codeblocks.org/downloads/binaries/#imagesoslinux48pnglogo-linux-32-and-64-bit

The page states once the tar is downloaded all the deb packages will be found therein.

I have two questions though:

1. Am I supposed to install all the deb packages?
2. What about the sub-archive tar within: 'codeblocks_20.03.tar.xz', do I extract that as well, or just leave it alone?

[Linux Mint 21.3, upstream release: Ubuntu 22.04]

Navigation

[0] Message Index

Go to full version